## r-cran-deoptimr 1.0

=== DESCRIPTION ===
Package: DEoptimR
Version: 1.0-10
Date: 2021-12-30
Title: Differential Evolution Optimization in Pure R
Authors@R: c(
    person(c("Eduardo", "L. T."), "Conceicao",
           role = c("aut", "cre"),
           email = "mail@eduardoconceicao.org"),
    person("Martin", "Maechler",
           role = "ctb",
           email = "maechler@stat.math.ethz.ch",
           comment = c(ORCID = "0000-0002-8685-9910"))
    )
Description: Differential Evolution (DE) stochastic algorithms for global
    optimization of problems with and without constraints.
    The aim is to curate a collection of its state-of-the-art variants that
    (1) do not sacrifice simplicity of design,
    (2) are essentially tuning-free, and
    (3) can be efficiently implemented directly in the R language.
    Currently, it only provides an implementation of the 'jDE' algorithm by
    Brest et al. (2006) <doi:10.1109/TEVC.2006.872133>.
Imports: stats
Enhances: robustbase
License: GPL (>= 2)
Author: Eduardo L. T. Conceicao [aut, cre],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>)
Maintainer: Eduardo L. T. Conceicao <mail@eduardoconceicao.org>
Repository: CRAN
Repository/R-Forge/Project: robustbase
Repository/R-Forge/Revision: 890
Repository/R-Forge/DateTimeStamp: 2021-12-30 22:43:30
Date/Publication: 2022-01-03 18:10:09 UTC
NeedsCompilation: no
Packaged: 2021-12-30 22:48:09 UTC; rforge

## r-cran-deoptimr 1.0-9

=== debian/changelog ===
r-cran-deoptimr (1.0-9-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 08:43:08 -0500

r-cran-deoptimr (1.0-9-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

  * debian/control: Correct 'Architecture:' to 'all'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Jun 2021 12:35:55 -0500

r-cran-deoptimr (1.0-8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Dec 2016 11:25:54 -0600

r-cran-deoptimr (1.0-6-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Jul 2016 17:52:51 -0500

r-cran-deoptimr (1.0-4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Oct 2015 08:43:08 -0500

r-cran-deoptimr (1.0-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jul 2015 06:59:01 -0500

r-cran-deoptimr (1.0-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Oct 2014 22:13:59 -0500

r-cran-deoptimr (1.0-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Feb 2014 06:51:49 -0600

r-cran-deoptimr (1.0-0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #737483)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Feb 2014 17:32:52 -0600

=== debian/control ===
Source: r-cran-deoptimr
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git
Homepage: https://cran.r-project.org/package=deoptimR

Package: r-cran-deoptimr
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package for Diffential Evolution in pure R
 The TH.data package provides a pure-R implementation of the jDE
 variant of the Differential Evolution stochastic algorithm for global
 optimization of nonlinear programming problems.

## r-cran-deoptimr 1.0-10

=== debian/changelog ===
r-cran-deoptimr (1.0-10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Jan 2022 07:18:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git
 Homepage: https://cran.r-project.org/package=deoptimR

## r-cran-deoptimr 1.0-11

=== debian/changelog ===
r-cran-deoptimr (1.0-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Apr 2022 09:53:39 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git

## r-cran-deoptimr 1.1

=== DESCRIPTION ===
Package: DEoptimR
Version: 1.1-4
Date: 2025-07-27
Title: Differential Evolution Optimization in Pure R
Authors@R: c(
    person(c("Eduardo", "L. T."), "Conceicao",
           role = c("aut", "cre"),
           email = "mail@eduardoconceicao.org"),
    person("Martin", "Maechler",
           role = "ctb",
           email = "maechler@stat.math.ethz.ch",
           comment = c(ORCID = "0000-0002-8685-9910"))
    )
URL: svn://svn.r-forge.r-project.org/svnroot/robustbase/pkg/DEoptimR
Description: Differential Evolution (DE) stochastic heuristic algorithms for
    global optimization of problems with and without general constraints.
    The aim is to curate a collection of its variants that
    (1) do not sacrifice simplicity of design,
    (2) are essentially tuning-free, and
    (3) can be efficiently implemented directly in the R language.
    Currently, it provides implementations of the algorithms 'jDE' by
    Brest et al. (2006) <doi:10.1109/TEVC.2006.872133> for single-objective
    optimization and 'NCDE' by Qu et al. (2012) <doi:10.1109/TEVC.2011.2161873>
    for multimodal optimization (single-objective problems with
    multiple solutions).
Imports: stats
Enhances: robustbase
License: GPL (>= 2)
Author: Eduardo L. T. Conceicao [aut, cre],
  Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
Maintainer: Eduardo L. T. Conceicao <mail@eduardoconceicao.org>
Repository: CRAN
Repository/R-Forge/Project: robustbase
Repository/R-Forge/Revision: 1009
Repository/R-Forge/DateTimeStamp: 2025-07-27 18:16:52
Date/Publication: 2025-07-27 19:10:02 UTC
NeedsCompilation: no
Packaged: 2025-07-27 18:25:06 UTC; rforge

## r-cran-deoptimr 1.1-1

=== debian/changelog ===
r-cran-deoptimr (1.1-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Aug 2023 19:28:22 -0500

r-cran-deoptimr (1.1-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Jul 2023 08:36:00 -0500

r-cran-deoptimr (1.0-14-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Jun 2023 11:43:58 -0500

r-cran-deoptimr (1.0-13-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Jun 2023 14:35:15 -0500

r-cran-deoptimr (1.0-13-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:32:41 -0500

r-cran-deoptimr (1.0-12-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Apr 2023 18:06:17 -0500

## r-cran-deoptimr 1.1-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DEoptimR
-Version: 1.1-4
-Date: 2025-07-27
+Version: 1.1-3-1
+Date: 2024-11-23
 Title: Differential Evolution Optimization in Pure R
 Authors@R: c(
     person(c("Eduardo", "L. T."), "Conceicao",
@@ -27,12 +27,12 @@
 Enhances: robustbase
 License: GPL (>= 2)
 Author: Eduardo L. T. Conceicao [aut, cre],
-  Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
+  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>)
 Maintainer: Eduardo L. T. Conceicao <mail@eduardoconceicao.org>
 Repository: CRAN
 Repository/R-Forge/Project: robustbase
-Repository/R-Forge/Revision: 1009
-Repository/R-Forge/DateTimeStamp: 2025-07-27 18:16:52
-Date/Publication: 2025-07-27 19:10:02 UTC
+Repository/R-Forge/Revision: 1008
+Repository/R-Forge/DateTimeStamp: 2024-11-23 19:13:45
+Date/Publication: 2024-11-23 20:20:02 UTC
 NeedsCompilation: no
-Packaged: 2025-07-27 18:25:06 UTC; rforge
+Packaged: 2024-11-23 19:25:06 UTC; rforge

=== debian/changelog ===
r-cran-deoptimr (1.1-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Oct 2023 08:39:12 -0500

r-cran-deoptimr (1.1-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Aug 2023 20:49:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git
 Homepage: https://cran.r-project.org/package=deoptimR

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/DEoptimR_([-\d\.]*)\.tar.gz

## r-cran-deoptimr 1.1-3-1

=== debian/changelog ===
r-cran-deoptimr (1.1-3-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Correct Homapage field	(Closes: #1083257)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Nov 2024 14:49:21 -0600

=== debian/control ===
Source: r-cran-deoptimr
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git
Homepage: https://cran.r-project.org/package=DEoptimR

Package: r-cran-deoptimr
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package for Diffential Evolution in pure R
 The DEoptimR package provides a pure-R implementation of the 'jDE'
 variant of the Differential Evolution stochastic algorithm for global
 optimization of nonlinear programming problems.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-deoptimr package
# Copyright 2003-2021 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-deoptimr 1.1-4

=== debian/changelog ===
r-cran-deoptimr (1.1-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jul 2025 07:48:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-deoptimr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-deoptimr.git
 Homepage: https://cran.r-project.org/package=DEoptimR
